Package org.flowable.task.api

# Class TaskInfoQueryWrapper

java.lang.Object
org.flowable.task.api.TaskInfoQueryWrapper

public class TaskInfoQueryWrapper extends Object
This is a helper class to help you work with the `TaskInfoQuery`, without having to care about the awful generics. Example usage:

     TaskInfoQueryWrapper taskInfoQueryWrapper = new TaskInfoQueryWrapper(taskService.createTaskQuery());
     List<? extends TaskInfo> taskInfos = taskInfoQueryWrapper.getTaskInfoQuery().or()
        .taskNameLike("%task%").taskDescriptionLike("%blah%").endOr().list();

First line can be switched to TaskInfoQueryWrapper taskInfoQueryWrapper = new TaskInfoQueryWrapper(historyService.createTaskQuery()); and the same methods can be used on the result.

Author:
  Joram Barrez

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected TaskInfoQuery<? extends TaskInfoQuery<?,?>,? extends TaskInfo>`
  `taskInfoQuery`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TaskInfoQueryWrapper(TaskInfoQuery<? extends TaskInfoQuery<?,?>,? extends TaskInfo> taskInfoQuery)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TaskInfoQuery<? extends TaskInfoQuery<?,?>,? extends TaskInfo>`
  `getTaskInfoQuery()`
  `void`
  `setTaskInfoQuery(TaskInfoQuery<? extends TaskInfoQuery<?,?>,? extends TaskInfo> taskInfoQuery)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### taskInfoQuery

    protected TaskInfoQuery<? extends TaskInfoQuery<?,?>,? extends TaskInfo> taskInfoQuery

- ## Constructor Details

  - ### TaskInfoQueryWrapper

    public TaskInfoQueryWrapper(TaskInfoQuery<? extends TaskInfoQuery<?,?>,? extends TaskInfo> taskInfoQuery)

- ## Method Details

  - ### getTaskInfoQuery

    public TaskInfoQuery<? extends TaskInfoQuery<?,?>,? extends TaskInfo> getTaskInfoQuery()

  - ### setTaskInfoQuery

    public void setTaskInfoQuery(TaskInfoQuery<? extends TaskInfoQuery<?,?>,? extends TaskInfo> taskInfoQuery)